Unit IGraph;

Interface

Const
  Black         =  0;
  Blue          =  1;
  Green         =  2;
  Cyan          =  3;
  Red           =  4;
  Magenta       =  5;
  Brown         =  6;
  LightGray     =  7;
  DarkGray      =  8;
  LightBlue     =  9;
  LightGreen    = 10;
  LightCyan     = 11;
  LightRed      = 12;
  LightMagenta  = 13;
  Yellow        = 14;
  White         = 15;

  CurrentDriver = -128;
  Detect        =    0;
  CGA           =    1;
  MCGA          =    2;
  EGA           =    3;
  EGA64         =    4;
  EGAMono       =    5;
  IBM8514       =    6;
  HercMono      =    7;
  ATT400        =    8;
  VGA           =    9;
  PC3270        =   10;

  CGAC0         = 0;
  CGAC1         = 1;
  CGAC2         = 2;
  CGAC3         = 3;
  CGAHi         = 4;
  EGALo         = 0;
  EGAHi         = 1;
  EGA64Lo       = 0;
  EGA64Hi       = 1;
  MCGAC0        = 0;
  MCGAC1        = 1;
  MCGAC2        = 2;
  MCGAC3        = 3;
  MCGAMed       = 4;
  MCGAHi        = 5;
  EGAMonoHi     = 3;
  HercMonoHi    = 0;
  VGALo         = 0;
  VGAMed        = 1;
  VGAHi         = 2;

  EmptyFill      =  0;
  SolidFill      =  1;
  LineFill       =  2;
  LtSlashFill    =  3;
  SlashFill      =  4;
  BkSlashFill    =  5;
  LtBkSlashFill  =  6;
  HatchFill      =  7;
  XHatchFill     =  8;
  InterleaveFill =  9;
  WideDotFill    = 10;
  CloseDotFill   = 11;
  UserFill       = 12;


Type
  PointType = Record
    X, Y : Integer;
  End; { Record }
  FillPatternType = array [1..8] of Byte;


Function GetPixel(X, Y : Integer) : Word;
Procedure PutPixel(X, Y : Integer; Pixel : Word);

Procedure Line(X1,Y1, X2,Y2 : Integer);
Procedure OutTextXY(X, Y : Integer; S : String);

Procedure SetColor(Color : Integer);

Procedure InitGraph(var GD, GM : Integer; Dummy : String);
Procedure Closegraph;
Procedure DetectGraph(var GraphDriver, GraphMode: Integer);

Function RegisterBGIdriver(driver: pointer): Integer;
Function InstallUserDriver(Name : string; AutoDetectPtr : pointer) : Integer;
Function GraphResult : Integer;
Function GraphErrorMsg(Msg : Integer) : String;

Procedure SetFillStyle(Pattern: Word; Color: Word);
Procedure SetFillPattern(Pattern: FillPatternType; Color: Word);

Procedure Bar(x1, y1, x2, y2: Integer);

Function GetMaxX : Integer;
Function GetMaxY : Integer;

Procedure GetAspectRatio(var Xasp, Yasp: Word);

Function TextHeight(TextString: string): Word;
Function TextWidth(TextString: string): Word; 

Implementation

{---------------------------------------------------------------------------}

Function GetPixel(X, Y : Integer) : Word;
Begin
End; { Function GetPixel }

{---------------------------------------------------------------------------}

Procedure PutPixel(X, Y : Integer; Pixel : Word);
Begin
End; { Procedure PutPixel }

{---------------------------------------------------------------------------}

Procedure Line(X1,Y1, X2,Y2 : Integer);
Begin
End; { Procedure Line }

{---------------------------------------------------------------------------}

Procedure OutTextXY(X, Y : Integer; S : String);
Begin
End; { Procedure OutTextXY }

{---------------------------------------------------------------------------}

Procedure SetColor(Color : Integer);
Begin
End; { Procedure SetColor }

{---------------------------------------------------------------------------}

Procedure InitGraph(var GD, GM : Integer; Dummy : String);
Begin
End; { Procedure InitGraph }

{---------------------------------------------------------------------------}

Procedure Closegraph;
Begin
End; { Procedure Closegraph }

{---------------------------------------------------------------------------}

Procedure DetectGraph(var GraphDriver, GraphMode: Integer);
Begin
  GraphDriver := VGA;
  GraphMode := VGAHi;
End; { Procedure DetectGraph }

{---------------------------------------------------------------------------}

Function RegisterBGIdriver(driver: pointer): Integer;
Begin
  RegisterBGIdriver := 0;
End; { Function RegisterBGIdriver }

{---------------------------------------------------------------------------}

Function InstallUserDriver(Name : string; AutoDetectPtr : pointer) : Integer;
Begin
  InstallUserDriver := 0;
End; { Function InstallUserDriver }

{---------------------------------------------------------------------------}

Function GraphResult : Integer;
Begin
  GraphResult := 0;
End; { Function GraphResult }

{---------------------------------------------------------------------------}

Function GraphErrorMsg(Msg : Integer) : String;
Begin
  GraphErrorMsg := '';
End; { Function GraphErrorMsg }

{---------------------------------------------------------------------------}

Procedure SetFillStyle(Pattern: Word; Color: Word);
Begin
End; { Procedure SetFillStyle }

{---------------------------------------------------------------------------}

Procedure SetFillPattern(Pattern: FillPatternType; Color: Word);
Begin
End; { Procedure SetFillPattern }

{---------------------------------------------------------------------------}

Procedure Bar(x1, y1, x2, y2: Integer);
Begin
End; { Procedure Bar }

{---------------------------------------------------------------------------}

Function GetMaxX : Integer;
Begin
  GetMaxX := 1;
End;

Function GetMaxY : Integer;
Begin
  GetMaxY := 1;
End;

Procedure GetAspectRatio(var Xasp, Yasp: Word);
Begin
  Xasp := 1;
  Yasp := 1;
End;

Function TextHeight(TextString: string): Word;
Begin
  TextHeight := 1;
End;

Function TextWidth(TextString: string): Word;
Begin
  TextWidth := 1;
End;

End.

