
; example of spotlights
; (sets an outward-facing cluster of spotlights of assorted beam widths
;  and cone angles)

; reasonable range for this test pattern
range4*pi

; choose a function
(cos(r) + sin(x*3)*sin(y*3)/3) / 2

; looked at from a good angle (perspective effectively disabled by distance)
azelr=30,30,100000

; make sure we can see the lights
;dither ; use this option for monochrome screens
shaded ; use this option for VGA screens

; at enough of a resolution to determine what's happening
grid = 100

; set spotlights
;                                     beam    cone   bright-
;                  posn    direction  width   angle   ness
spot[1]  = xyz = 0,0,10, 0*360/5,-45,   5,  1*90/5,  sqr(10)
spot[2]  = xyz = 0,0,10, 1*360/5,-45,  10,  1*90/5,  sqr(10)
spot[3]  = xyz = 0,0,10, 2*360/5,-45,  15,  1*90/5,  sqr(10)
spot[4]  = xyz = 0,0,10, 3*360/5,-45,  20,  1*90/5,  sqr(10)
spot[5]  = xyz = 0,0,10, 4*360/5,-45,  25,  1*90/5,  sqr(10)

; and one other spotlight
;                    look       look    beam     cone  bright-
;                    from        to     width   angle   ness
spot[6]  = camera = 10,10,10,  0,0,0,    30,     20,    150

; simulate ambient lighting of 0.2 intensity
light[8] = 0,0,1000, 0.33*sqr(1000)

; remove ambient lighting influence
ambient = 0

